/*
*****************************************************************************
* Copyright by ams AG                                                       *
* All rights are reserved.                                                  *
*                                                                           *
* IMPORTANT - PLEASE READ CAREFULLY BEFORE COPYING, INSTALLING OR USING     *
* THE SOFTWARE.                                                             *
*                                                                           *
* THIS SOFTWARE IS PROVIDED FOR USE ONLY IN CONJUNCTION WITH AMS PRODUCTS.  *
* USE OF THE SOFTWARE IN CONJUNCTION WITH NON-AMS-PRODUCTS IS EXPLICITLY    *
* EXCLUDED.                                                                 *
*                                                                           *
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS       *
* "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT         *
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS         *
* FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  *
* OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,     *
* SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT          *
* LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,     *
* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY     *
* THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT       *
* (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE     *
* OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.      *
*****************************************************************************
*/

#ifndef __AMS_TSL2585_COEFF_H
#define __AMS_TSL2585_COEFF_H

#define Q_MOD_GAIN_TBL_FRAC_BITS  2    /* q fracbits for q_mod_gain_tbl */

#define Q_LUX_FRAC_BITS  7
#define Q_IR_DIV_PHO     133      /* 1.042 */
#
#define Q_COEFA_PHOTOPIC 77       /* 0.598  */
#define Q_COEFA_IR       77       /* 0.598  */
#define Q_COEFA_DGF      3829     /* 29.915 */
#
#define Q_COEFC_PHOTOPIC 70       /* 0.546  */
#define Q_COEFC_IR       -4       /* -0.028 */
#define Q_COEFC_DGF      3492     /* 27.278 */
#
#define Q_UV_FRAC_BITS   16
#define Q_UV_COEF1       3         /* 0.000040 */
#define Q_UV_COEF2       1         /* 0.000021 */
#define Q_UV_COEF3       69        /* 0.001048 */
#define Q_UV_COEF4       167886    /* 2.561744 */
#
#define Q_UV_DCOEF1      72       /* 0.002201 */
#define Q_UV_DCOEF2      0        /* 0.000000 */
#define Q_UV_DCOEF3      122      /* 0.003731 */
#define Q_UV_DCOEF4      3402     /* 0.103818 */
#
#endif /* __AMS_TSL2585_COEFF_H */
