/*
*****************************************************************************
* Copyright by ams AG                                                       *
* All rights are reserved.                                                  *
*                                                                           *
* IMPORTANT - PLEASE READ CAREFULLY BEFORE COPYING, INSTALLING OR USING     *
* THE SOFTWARE.                                                             *
*                                                                           *
* THIS SOFTWARE IS PROVIDED FOR USE ONLY IN CONJUNCTION WITH AMS PRODUCTS.  *
* USE OF THE SOFTWARE IN CONJUNCTION WITH NON-AMS-PRODUCTS IS EXPLICITLY    *
* EXCLUDED.                                                                 *
*                                                                           *
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS       *
* "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT         *
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS         *
* FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT  *
* OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,     *
* SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT          *
* LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,     *
* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY     *
* THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT       *
* (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE     *
* OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.      *
*****************************************************************************
*/

#ifndef __AMS_TSL2585_FIFO_H
#define __AMS_TSL2585_FIFO_H
enum fifo_map {
    FIFO_OFF=0,
    FIFO_0_CH,
    FIFO_1_CH,
    FIFO_2_CH,
    FIFO_FLICKER,
};

/* Values used in bit mask */
enum fifo_mode {
    COMPRESSION_NONE=0,
    COMPRESSION_ON=1,
    DIFFERENCE_ON=2,
};

void ams_tsl2585_enable_fifo(struct ams_chip *chip, enum fifo_map map);
ssize_t ams_tsl2585_read_fifo(struct ams_chip *chip, uint16_t *buf, int size);
void ams_tsl2585_fifo_reset(struct ams_chip *chip);
void ams_tsl2585_remove_fifo(struct ams_chip *chip);
int ams_tsl2585_init_fifo(struct ams_chip *chip);

#endif /* __AMS_TMD3702_ALS_H */
